British dictionary not installed by default at install time when selected.

RESOLVED INVALID

Status

()

--
minor
RESOLVED INVALID
8 years ago
7 years ago

People

(Reporter: eocallaghan, Unassigned)

Tracking

Trunk
x86_64
Windows Vista
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [testday-20110902], URL)

(Reporter)

Description

8 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.13) Gecko/20110103 Fedora/3.6.13-1.fc14 Firefox/3.6.13
Build Identifier: Firefox 4RC1

N.B. Reporting on behalf of a friend.

Using Firefox with Hotmail it was found that the British dictionary was not install with the rest of Firefox thereby leaving Firefox without spell checking capability and without information on *why* it was missing.

If Firefox was somehow unable to install the dictionary and was left without a default it should at the very least check for this condition and inform the user no default has been set.

Reproducible: Always

Steps to Reproduce:
1. Install RC1, select British
2. Go to Hotmail
3. Spell checker does not work.
Actual Results:  
Firefox was somehow unable to install the dictionary and left the user to wondering why Firefox does not spell check like his IE install with no information to make a clear assertion to the root cause.

Expected Results:  
Firefox to be sure it has a default dictionary to insure spell checking is correctly functioning or warn otherwise.

Workaround: Install a dictionary by right clicking on a page..
(Reporter)

Updated

8 years ago
Component: General → Installer
Priority: -- → P1
Version: unspecified → Trunk

Updated

8 years ago
Keywords: qawanted
Priority: P1 → --
QA Contact: general → installer
The en-GB RC1 installer contains the en-US dictionary and it was installed.

btw: Firefox 3.6.15 en-GB does not contain a dictionary.

Perhaps the spell checking component didn't use the dictionary for some reason.

Moving back to General for further triage since this isn't an installer bug.
Component: Installer → General
QA Contact: installer → general

Comment 2

7 years ago
WFM on Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0 (beta 5)
per http://kb.mozillazine.org/Dictionaries

often dont include dictionaries for localised builds
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Keywords: qawanted
Resolution: --- → INVALID
Whiteboard: [testday-20110902]

Comment 4

7 years ago
http://wiki.mozilla.org/L10n:Dictionaries#British_English_.5Ben-GB.5D,

British dictionary is not sufficiently licensed to ship with localised build
You need to log in before you can comment on or make changes to this bug.